Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
getnameinfo_arg Struct Reference

## Data Fields
struct sockaddr * | sa
socklen_t | salen
char * | host
size_t | hostlen
char * | serv
size_t | servlen
int | flags

## Detailed Description

Definition at line 187 of file raddrinfo.c.

## Field Documentation

int getnameinfo_arg::flags

Definition at line 195 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

char* getnameinfo_arg::host

Definition at line 191 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

size_t getnameinfo_arg::hostlen

Definition at line 192 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

struct sockaddr* getnameinfo_arg::sa

Definition at line 189 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

socklen_t getnameinfo_arg::salen

Definition at line 190 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

char* getnameinfo_arg::serv

Definition at line 193 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

size_t getnameinfo_arg::servlen

Definition at line 194 of file raddrinfo.c.

Referenced by nogvl_getnameinfo(), and rb_getnameinfo().

The documentation for this struct was generated from the following file:

- ext/socket/raddrinfo.c